<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@taglib prefix="sql" uri="http://java.sun.com/jsp/jstl/sql"%>
<%@taglib prefix="h" uri="http://java.sun.com/jsf/html"%>
<%@taglib prefix="f" uri="http://java.sun.com/jsf/core"%>
<%-- 
    Document   : index
    Created on : Jan 12, 2013, 12:38:18 PM
    Author     : admin
--%>

        <div id="indexLeftColumn">
            <div id="welcomeText">
                <form action="search" method="post">
                    <table id="filtersTable">
                        <c:forEach var="feature" items="${features}" varStatus="s">
                            <tr>
                                <td>${feature.featureName}:</td>
                                <c:if test="${feature.kindOfValue==0}">
                                    <td>
                                    <select name="${s.count}">
                                        <option>--</option>
                                        <c:forEach var="value" items="${feature.discreetValuesCollection}">
                                        <option>${value.datum}</option>
                                        </c:forEach>
                                    </select>
                                        <input type="hidden" name="${s.count}id" value="${feature.idFeature}" />
                                    </td>
                                </c:if>
                                <c:if test="${feature.kindOfValue==1||feature.kindOfValue==3}">
                                    <td>
                                        <input type="text"
                                                size="3"
                                                maxlength="45"
                                                id="minint"
                                                name="${s.count}"
                                                value="${param.username}">
                                        ${feature.units}
                                        <input type="hidden" name="${s.count}id" value="${feature.idFeature}" />
                                    </td>
                                </c:if>
                                <c:if test="${feature.kindOfValue==2}">
                                    <td>
                                    <input type="text"
                                                size="15"
                                                maxlength="45"
                                                id="minint"
                                                name="${s.count}"
                                                value="${param.username}">
                                    <input type="hidden" name="${s.count}id" value="${feature.idFeature}" />
                                    </td>
                                </c:if>
                            </tr>
                        </c:forEach>
                        <tr>
                            <td colspan="2">
                            <input type="submit" value="Search">
                            </td>
                        </tr>
                    </table>
                </form>
            </div>
        </div>

        <div id="indexRightColumn">
            <c:forEach var="category" items="${categories}">
                <div class="categoryBox">
                    <a href="category?${category.rootDirectory}">

                        <span class="categoryLabelText">${category.categoryName}</span>

                        <img id="categoryThumbnail" src="${initParam.images}${category.imageUrl}"
                             alt="${category.description}">
                    </a>
                </div>
            </c:forEach>
        </div>
