/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package entity;

import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Embeddable;
import javax.validation.constraints.NotNull;

/**
 *
 * @author admin
 */
@Embeddable
public class ContainsPK implements Serializable {
    @Basic(optional = false)
    @NotNull
    @Column(name = "orderid")
    private int orderid;
    @Basic(optional = false)
    @NotNull
    @Column(name = "productid")
    private int productid;

    public ContainsPK() {
    }

    public ContainsPK(int orderid, int productid) {
        this.orderid = orderid;
        this.productid = productid;
    }

    public int getOrderid() {
        return orderid;
    }

    public void setOrderid(int orderid) {
        this.orderid = orderid;
    }

    public int getProductid() {
        return productid;
    }

    public void setProductid(int productid) {
        this.productid = productid;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (int) orderid;
        hash += (int) productid;
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof ContainsPK)) {
            return false;
        }
        ContainsPK other = (ContainsPK) object;
        if (this.orderid != other.orderid) {
            return false;
        }
        if (this.productid != other.productid) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "entity.ContainsPK[ orderid=" + orderid + ", productid=" + productid + " ]";
    }
    
}
