/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package entity;

import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Embeddable;
import javax.validation.constraints.NotNull;

/**
 *
 * @author admin
 */
@Embeddable
public class HasDiscreetPK implements Serializable {
    @Basic(optional = false)
    @NotNull
    @Column(name = "productid")
    private int productid;
    @Basic(optional = false)
    @NotNull
    @Column(name = "featureid")
    private int featureid;

    public HasDiscreetPK() {
    }

    public HasDiscreetPK(int productid, int featureid) {
        this.productid = productid;
        this.featureid = featureid;
    }

    public int getProductid() {
        return productid;
    }

    public void setProductid(int productid) {
        this.productid = productid;
    }

    public int getFeatureid() {
        return featureid;
    }

    public void setFeatureid(int featureid) {
        this.featureid = featureid;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (int) productid;
        hash += (int) featureid;
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof HasDiscreetPK)) {
            return false;
        }
        HasDiscreetPK other = (HasDiscreetPK) object;
        if (this.productid != other.productid) {
            return false;
        }
        if (this.featureid != other.featureid) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "entity.HasDiscreetPK[ productid=" + productid + ", featureid=" + featureid + " ]";
    }
    
}
