/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package entity;

import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Embeddable;
import javax.validation.constraints.NotNull;

/**
 *
 * @author admin
 */
@Embeddable
public class HasIntPK implements Serializable {
    @Basic(optional = false)
    @NotNull
    @Column(name = "product")
    private int product;
    @Basic(optional = false)
    @NotNull
    @Column(name = "feature")
    private int feature;

    public HasIntPK() {
    }

    public HasIntPK(int product, int feature) {
        this.product = product;
        this.feature = feature;
    }

    public int getProduct() {
        return product;
    }

    public void setProduct(int product) {
        this.product = product;
    }

    public int getFeature() {
        return feature;
    }

    public void setFeature(int feature) {
        this.feature = feature;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (int) product;
        hash += (int) feature;
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof HasIntPK)) {
            return false;
        }
        HasIntPK other = (HasIntPK) object;
        if (this.product != other.product) {
            return false;
        }
        if (this.feature != other.feature) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "entity.HasIntPK[ product=" + product + ", feature=" + feature + " ]";
    }
    
}
