/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package session;

import entity.Features;
import java.util.List;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

/**
 *
 * @author admin
 */
@Stateless
public class FeaturesFacade extends AbstractFacade<Features> {
    @PersistenceContext(unitName = "GCCEPU")
    private EntityManager em;

    @Override
    protected EntityManager getEntityManager() {
        return em;
    }
    
    public Features findById(String id) {
        Features f = (Features) em.createNamedQuery("Features.findByIdFeature")
                .setParameter("idFeature", Integer.parseInt(id))
                .getSingleResult();
        return f;
    }
    
    public FeaturesFacade() {
        super(Features.class);
    }

    public void flush() {
        em.flush();
    }
    
}
