<div id="categoryLeftColumn">
    <c:forEach var="category" items="${categories}">
        <a href="category?${category.rootDirectory}" class="categoryButton">
            <span class="categoryText">
                ${category.categoryName}
            </span>
        </a>
    </c:forEach>
</div>

<div id="categoryRightColumn">

    <p id="categoryTitle">Results</p>

    <table id="productTable">

        <c:forEach var="product" items="${resultProducts}">

            <tr class="${((iter.index % 2) == 0) ? 'lightBlue' : 'white'}">
                <td>
                    <img id="productThumbnail" src="${initParam.images}${product.imageUrl}"
                         alt="${product.productName}">
                </td>

                <td>
                    ${product.productName}
                    <br>
                    <span class="smallText">${product.description}</span>
                </td>

                <td>${currency} ${product.price}</td>

                <td>
                    <form action="addToCart" method="post">
                        <input type="hidden"
                               name="productId"
                               value="${product.idProduct}">
                        <input type="submit"
                               name="submit"
                               value="add to cart">
                    </form>
                </td>
            </tr>

        </c:forEach>

    </table>
</div>