<%-- 
    Document   : confirmation
    Created on : Jan 12, 2013, 12:38:39 PM
    Author     : admin
--%>


<div id="singleColumn">

    <p id="confirmationText">
        <strong><fmt:message key="placed" /></strong>
        <br><br>
        <fmt:message key="confnumber" />
        <strong>${order.idOrder}</strong>
        <br>
        <fmt:message key="contactus" />
        <br><br>
        <fmt:message key="thankyou" />
    </p>

    <div class="summaryColumn" >

        <table id="orderSummaryTable" class="detailsTable">
            <tr class="header">
                <th colspan="3"><fmt:message key="summary" /></th>
            </tr>

            <tr class="tableHeading">
                <td><fmt:message key="product" /></td>
                <td><fmt:message key="quantity" /></td>
                <td><fmt:message key="price" /></td>
            </tr>

            <c:forEach var="products" items="${order.contains}" >

                <tr class="${((iter.index % 2) != 0) ? 'lightBlue' : 'white'}">
                    <td>${contains.products.productName}</td>
                    <td class="quantityColumn">
                        ${products.amount}
                    </td>
                    <td class="confirmationPriceColumn">
                        ${currency} ${contains.products.price * products.amount}
                    </td>
                </tr>

            </c:forEach>

            <tr class="lightBlue"><td colspan="3" style="padding: 0 20px"><hr></td></tr>

            <tr class="lightBlue">
                <td colspan="2" id="deliverySurchargeCellLeft"><strong>delivery surcharge:</strong></td>
                <td id="deliverySurchargeCellRight">${currency} ${initParam.deliverySurcharge}</td>
            </tr>

            <tr class="lightBlue">
                <td colspan="2" id="totalCellLeft"><strong>total:</strong></td>
                <td id="totalCellRight">${currency} ${contains.products.price * products.amount + initParam.deliverySurcharge}</td>
            </tr>

        </table>

    </div>
</div>