/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package entity;

import java.io.Serializable;
import javax.persistence.Column;
import javax.persistence.EmbeddedId;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author admin
 */
@Entity
@Table(name = "contains")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "Contains.findAll", query = "SELECT c FROM Contains c"),
    @NamedQuery(name = "Contains.findByOrderid", query = "SELECT c FROM Contains c WHERE c.containsPK.orderid = :orderid"),
    @NamedQuery(name = "Contains.findByProductid", query = "SELECT c FROM Contains c WHERE c.containsPK.productid = :productid"),
    @NamedQuery(name = "Contains.findByAmount", query = "SELECT c FROM Contains c WHERE c.amount = :amount")})
public class Contains implements Serializable {
    private static final long serialVersionUID = 1L;
    @EmbeddedId
    protected ContainsPK containsPK;
    @Column(name = "amount")
    private Short amount;
    @JoinColumn(name = "productid", referencedColumnName = "id_product", insertable = false, updatable = false)
    @ManyToOne(optional = false)
    private Products products;
    @JoinColumn(name = "orderid", referencedColumnName = "id_order", insertable = false, updatable = false)
    @ManyToOne(optional = false)
    private Orders orders;

    public Contains() {
    }

    public Contains(ContainsPK containsPK) {
        this.containsPK = containsPK;
    }

    public Contains(int orderid, int productid) {
        this.containsPK = new ContainsPK(orderid, productid);
    }

    public ContainsPK getContainsPK() {
        return containsPK;
    }

    public void setContainsPK(ContainsPK containsPK) {
        this.containsPK = containsPK;
    }

    public Short getAmount() {
        return amount;
    }

    public void setAmount(Short amount) {
        this.amount = amount;
    }

    public Products getProducts() {
        return products;
    }

    public void setProducts(Products products) {
        this.products = products;
    }

    public Orders getOrders() {
        return orders;
    }

    public void setOrders(Orders orders) {
        this.orders = orders;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (containsPK != null ? containsPK.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof Contains)) {
            return false;
        }
        Contains other = (Contains) object;
        if ((this.containsPK == null && other.containsPK != null) || (this.containsPK != null && !this.containsPK.equals(other.containsPK))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "entity.Contains[ containsPK=" + containsPK + " ]";
    }
    
}
