/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package faces;

import java.security.Principal;
import javax.faces.application.FacesMessage;
import javax.faces.bean.ManagedBean;
import javax.faces.context.FacesContext;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpSession;

@ManagedBean(name="loginBean")
public class LoginBean {
     
    private String username;
    private String password;
     
    public LoginBean(){
    HttpSession session = (HttpSession) FacesContext.getCurrentInstance().getExternalContext().getSession(false);
        if(session != null){
            session.invalidate();
        }
    }
     
    public String getUsername() {
        return username;
    }
    public void setUsername(String username) {
        this.username = username;
    }
    public String getPassword() {
        return password;
    }
    public void setPassword(String password) {
        this.password = password;
    }
     
    public String login(){
        String message = "";
        HttpServletRequest request = (HttpServletRequest) FacesContext.getCurrentInstance().getExternalContext().getRequest();
        try {
             
            // Login via the Servlet Context
            request.login(username, password);
             
            // Retrieve the Principal
            Principal principal = request.getUserPrincipal();
  
            if(request.isUserInRole("warehouse")) {
                return "warehouse";
            }
            // Returns success or failure to let facelets dispay the proper file
            return "success";
        } catch (ServletException e) {
            FacesContext.getCurrentInstance().addMessage(null, new FacesMessage(FacesMessage.SEVERITY_ERROR, "An Error Occured: Login failed", null));
        }
        return "failure";
    }
 
    /**
     *
     * @return
     */
    public String logout(){
         HttpSession session = (HttpSession) FacesContext.getCurrentInstance().getExternalContext().getSession(false);
        if(session != null){
            session.invalidate();
        }
        return "logout";
    }   
}