/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package session;

import entity.Categories;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

/**
 *
 * @author admin
 */
@Stateless
public class CategoriesFacade extends AbstractFacade<Categories> {
    @PersistenceContext(unitName = "GCCEPU")
    private EntityManager em;

    @Override
    protected EntityManager getEntityManager() {
        return em;
    }
    
    public Categories findByRoot(String root) {
        return (Categories) em.createNamedQuery("Categories.findByRootDirectory").setParameter("rootDirectory", root).getSingleResult();
    }

    public CategoriesFacade() {
        super(Categories.class);
    }
    
}
