/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package session;

import entity.Clients;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

/**
 *
 * @author admin
 */
@Stateless
public class ClientsFacade extends AbstractFacade<Clients> {
    @PersistenceContext(unitName = "GCCEPU")
    private EntityManager em;

    @Override
    protected EntityManager getEntityManager() {
        return em;
    }

    public Clients findByUsername(String username) {
        System.out.println(username);
        return (Clients) em.createNamedQuery("Clients.findByUsername").setParameter("username", username).getSingleResult();
    }
    
    public ClientsFacade() {
        super(Clients.class);
    }
    
}
