<div id="categoryLeftColumn">

    <c:forEach var="category" items="${categories}">

        <c:choose>
            <c:when test="${category.categoryName == selectedCategory.categoryName}">
                <div class="categoryButton" id="selectedCategory">
                    <span class="categoryText">
                        ${category.categoryName}
                    </span>
                </div>
            </c:when>
            <c:otherwise>
                <a href="category?${category.rootDirectory}" class="categoryButton">
                    <span class="categoryText">
                        ${category.categoryName}
                    </span>
                </a>
            </c:otherwise>
        </c:choose>

    </c:forEach>

</div>

<div id="categoryRightColumn">

    <p id="categoryTitle">${selectedCategory.categoryName}</p>

    <table id="productTable">

        <c:forEach var="product" items="${categoryProducts}" varStatus="iter">

            <tr class="${((iter.index % 2) == 0) ? 'lightBlue' : 'white'}">
                <td>
                    <img id="productThumbnail" src="${initParam.images}${product.imageUrl}"
                         alt="${product.productName}">
                </td>

                <td>
                    ${product.productName}
                    <br>
                    <span class="smallText">${product.description}</span>
                </td>

                <td>${currency} ${product.price}</td>

                <td>
                    <form action="addToCart" method="post">
                        <input type="hidden"
                               name="productId"
                               value="${product.idProduct}">
                        <input type="submit"
                               name="submit"
                               value="add to cart">
                    </form>
                </td>
            </tr>

        </c:forEach>

    </table>
</div>